.btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: fit-content;
    padding: 14px 24px;
    border: 1px solid transparent;
    border-radius: 32px;
    font-family: var(--font-sans);
    font-size: var(--font-size-standard);
    font-weight: 600;
    text-transform: uppercase;
    text-decoration: none;
    cursor: pointer;
    transition: background-color 0.2s ease, border-color 0.2s ease, color 0.2s ease;
}

.btn--icon {
    gap: 30px;
    padding: 10px 10px 10px 28px;
}

.btn__icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    width: 33px;
    height: 33px;
    border-radius: 17px;
    background: #F5F9F9;
    color: var(--color-primary);
}

.btn__icon svg path {
    stroke: var(--color-accent);
}

.btn--default .btn__icon svg path {
    stroke: var(--color-primary);
}

.btn--default:hover .btn__icon svg path {
    stroke: var(--color-accent);
}

@media (max-width: 1600px) {
    .btn {
        font-size: var(--font-size-small);
        padding: 12px 20px;
    }

    .btn--icon {
        padding: 8px 8px 8px 22px;
        gap: 22px;
    }

    .btn__icon {
        width: 30px;
        height: 30px;
    }
}

.btn--default {
    background-color: var(--color-primary);
    color: var(--color-white);
}

.btn--default:hover {
    background-color: var(--color-accent);
}

.btn--accent {
    background-color: var(--color-accent);
    color: var(--color-white);
}

.btn--accent:hover {
    background-color: var(--color-accent-dark);
}

.btn--outline {
    background-color: transparent;
    border-color: var(--color-primary);
    color: var(--color-primary);
}

.btn--outline .btn__icon {
    background: var(--color-primary);
    color: var(--color-white);
}

.btn--outline:hover {
    background-color: var(--color-primary);
    color: var(--color-white);
}

.btn--outline:hover .btn__icon {
    background: #F5F9F9;
    color: var(--color-primary);
}

.bg-light .btn--accent,
.bg-dark  .btn--accent,
.bg-light .btn--accent:hover,
.bg-dark  .btn--accent:hover {
    color: var(--color-white);
}

.bg-light .btn--outline {
    border-color: var(--color-accent);
    color: var(--color-accent);
}

.bg-light .btn--outline .btn__icon {
    background: var(--color-accent);
}

.bg-light .btn--outline .btn__icon svg path {
    stroke: var(--color-white);
}

.bg-light .btn--outline:hover {
    background-color: var(--color-accent);
    color: var(--color-white);
}

.bg-light .btn--default,
.bg-dark  .btn--default,
.bg-light .btn--default:hover,
.bg-dark  .btn--default:hover {
    color: var(--color-white);
}

.bg-dark .btn--outline {
    border-color: var(--color-white);
    color: var(--color-white);
}

.bg-dark .btn--outline .btn__icon {
    background: var(--color-white);
    color: var(--color-primary);
}

